Create or update a contact
curl --request POST \
--url https://thalamus.nerds.nl/api/v1/partner/contact/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "John Doe",
"organization_id": "ORG-5001",
"email": "john@example.com",
"phone": "+31612345678",
"address": "Keizersgracht 100",
"zip": "1015 AA",
"city": "Amsterdam",
"country": "NL",
"comment": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://thalamus.nerds.nl/api/v1/partner/contact/{id}"
payload = {
"name": "John Doe",
"organization_id": "ORG-5001",
"email": "john@example.com",
"phone": "+31612345678",
"address": "Keizersgracht 100",
"zip": "1015 AA",
"city": "Amsterdam",
"country": "NL",
"comment": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'John Doe',
organization_id: 'ORG-5001',
email: 'john@example.com',
phone: '+31612345678',
address: 'Keizersgracht 100',
zip: '1015 AA',
city: 'Amsterdam',
country: 'NL',
comment: '<string>',
status: 'active',
created_at: '2023-11-07T05:31:56Z',
updated_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://thalamus.nerds.nl/api/v1/partner/contact/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"organization_id": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"message": "<string>"
}{
"success": true,
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"organization_id": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"message": "<string>"
}{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "Validation failed: body is required"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or revoked API key"
}
}Contacts
Create or update a contact
Creates a new contact or updates an existing one identified by id.
POST
/
contact
/
{id}
Create or update a contact
Authorizations
Partner API key (e.g. nerds_live_a8f3d9k2m5n7p1q4r6t8v0w2x4y6z8)
Path Parameters
Contact ID from the source system
Example:
"C-10042"
Body
application/json
Example:
"John Doe"
Organization ID as defined in the source system and synced via POST /organization/{id}
Example:
"ORG-5001"
Example:
"john@example.com"
Example:
"+31612345678"
Example:
"Keizersgracht 100"
Example:
"1015 AA"
Example:
"Amsterdam"
ISO 3166-1 alpha-2 country code
Example:
"NL"
Internal notes about this contact
Example:
"active"
⌘I